#include "RealmSceneObject.h"
#include "RealmSceneView.h"
#include "SceneMoveAnimator.h"

void RealmSceneObject::init(RealmObjectType* otype, int w, int h, RealmLocation olocation, int zoom_view)
{
	RealmObject::init(otype, w, h /*, rsv*/);

	XYLocation sceneposition(olocation.getXY(zoom_view));

	object_animator = nullptr;

	object_location = olocation;
	zoom_mode = zoom_view;
}

HexSpiralCoordinate RealmSceneObject::getSceneCoordinate() {
	return object_location.getHexSpiralCoordinate(zoom_mode);
}

RealmLocation RealmSceneObject::getObjectLocation()
{
	return object_location;
}
