#ifndef __REALMWORLDOBJECT_H
	#define __REALMWORLDOBJECT_H

#include "RealmObject.h"

class RealmObjectType;
class RealmSceneView;

class RealmWorldObject : public RealmObject {
	protected:
		XYLocation RealmWorldLocation;
		XYLocation target_world_location;

		RealmSceneView* realm_scene_view; // tmp, for now

		XYLocation getScreenLocation();

	public:
		void setRealmSceneView(RealmSceneView* rsv) { realm_scene_view = rsv; }

		const XYLocation getRealmWorldLocation() const { return RealmWorldLocation; }

		bool operator < (const RealmWorldObject& o) const;

		void init(RealmObjectType* otype, int w, int h, XYLocation olocation);
};


#endif // __REALMWORLDOBJECT_H

