#ifndef __XYLOCATION_H
	#define __XYLOCATION_H

class XYLocation {
public:
	long int x, y;

	XYLocation() { x = 0; y = 0; }
	XYLocation(long int nx, long int ny) { x = nx; y = ny; }
	long int getx() const { return x; }
	long int gety() const { return y; }
	void setx(long int nx) { x = nx ; }
	void sety(long int ny) { y = ny; }

	void negate() { x = -x; y = -y; }

	 XYLocation operator - (const XYLocation &ob) const { return XYLocation(x - ob.x, y - ob.y); }
	 XYLocation operator + (const XYLocation &ob) const { return XYLocation(x + ob.x, y + ob.y); }
};

#endif // __XYLOCATION_H
