
#ifndef __REALMOBJECTCOLLECTION_H
	#define __REALMOBJECTCOLLECTION_H

#include <map>
#include "RealmSceneKey.h"


class RealmObjectCollection {

	public:
		void addCollection(RealmSceneKey k, SceneObjectCollection c) {
			scenemap.insert(std::pair<RealmSceneKey, SceneObjectCollection>(k, c));
		}

		SceneObjectCollection findCollection(RealmSceneKey k) {
			std::map<RealmSceneKey,SceneObjectCollection>::iterator it;
			it = scenemap.find(k);
			if (it != scenemap.end())
				return it->second;
			else {
				SceneObjectCollection emptyone;
				return emptyone;
			}
		}

	private:
		std::map <RealmSceneKey, SceneObjectCollection> scenemap;
};

#endif // __REALMOBJECTCOLLECTION_H
